org.apache.solr.search.grouping.distributed.command

## Class QueryCommand.Builder

- java.lang.Object
- - org.apache.solr.search.grouping.distributed.command.QueryCommand.Builder

- Enclosing class:
    QueryCommand

      public static class QueryCommand.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryCommand` | `build()`
    `QueryCommand.Builder` | `setDocSet(DocSet docSet)`
    `QueryCommand.Builder` | `setDocSet(SolrIndexSearcher searcher)` Sets the docSet based on the created `DocSet`
    `QueryCommand.Builder` | `setDocsToCollect(int docsToCollect)`
    `QueryCommand.Builder` | `setNeedScores(boolean needScores)`
    `QueryCommand.Builder` | `setQuery(Query query)`
    `QueryCommand.Builder` | `setQuery(String groupQueryString, SolrQueryRequest request)` Sets the group query from the specified groupQueryString.
    `QueryCommand.Builder` | `setSort(Sort sort)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setSort

          public QueryCommand.Builder setSort(Sort sort)

    - #### setQuery

          public QueryCommand.Builder setQuery(Query query)

    - #### setQuery

          public QueryCommand.Builder setQuery(String groupQueryString,
                                               SolrQueryRequest request)
                                        throws SyntaxError

      Sets the group query from the specified groupQueryString. The groupQueryString is parsed into a query.
      Parameters:
        `groupQueryString` - The group query string to parse
        `request` - The current request
      Returns:
        this
      Throws:
        `SyntaxError`

    - #### setDocSet

          public QueryCommand.Builder setDocSet(DocSet docSet)

    - #### setDocSet

          public QueryCommand.Builder setDocSet(SolrIndexSearcher searcher)
                                         throws IOException

      Sets the docSet based on the created `DocSet`
      Parameters:
        `searcher` - The searcher executing the
      Returns:
        this
      Throws:
        `IOException` - If I/O related errors occur.

    - #### setDocsToCollect

          public QueryCommand.Builder setDocsToCollect(int docsToCollect)

    - #### setNeedScores

          public QueryCommand.Builder setNeedScores(boolean needScores)

    - #### build

          public QueryCommand build()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.